### Method

# ICalGLib CompIter deref

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_comp_iter_deref (
      ICalCompIter* i
    )

#### Description [src]

Gets the current `ICalComponent` pointed by `ICalCompIter`.

Available since: 1.0

#### Return value

Type: `ICalComponent`

A `ICalComponent`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.